### Signal

# Gtk PrintOperationPreview::got-page-size

#### Declaration

    void
    got_page_size (
      GtkPrintOperationPreview self,
      GtkPrintContext* context,
      GtkPageSetup* page_setup,
      gpointer user_data
    )

#### Description [src]

Emitted once for each page that gets rendered to the preview.

A handler for this signal should update the `context` according to `page_setup` and set up a suitable cairo context, using gtk_print_context_set_cairo_context().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`context` | `GtkPrintContext`
| The current `GtkPrintContext`.
| The data is owned by the caller of the function.
`page_setup` | `GtkPageSetup`
| The `GtkPageSetup` for the current page.
| The data is owned by the caller of the function.